Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06460 Sound Minor Always Dec 24, 2016, 00:59 Jan 22, 2017, 04:27
Tester M.A.S.H. View Status Public Platform MAME (Self-compiled)
Assigned To system11 Resolution Fixed OS
Status [?] Resolved Driver stlforce.cpp
Version 0.180 Fixed in Version 0.182 Build Normal
Summary 06460: stlforce: OKI6295 speed is too slow
Description The music/sound speed of the OKI6295 in Steel Force is too slow.
I found an arcade video of the game and compare the music at time=1:08s with the one in MAME.
The OKI6295 speed in MAME is 937500 Hz, that's the board cyrstal divided by 16 (15Mhz / 16 = 937500 Hz)
A factor of 14 is exactly the speed in the video.

Changed line 213 in drivers\stlforce.cpp from

MCFG_OKIM6295_ADD("oki", 937500 , OKIM6295_PIN7_HIGH)
to
MCFG_OKIM6295_ADD("oki", XTAL_15MHz/14, OKIM6295_PIN7_HIGH)

and check it!
Steps To Reproduce
Additional Information Steel Force arcade attract mode



Watch t=1:08
Flags Verified with Original
Regression Version
Affected Sets / Systems stlforce
Attached Files
mp3 file icon stlforce_MAME0180.mp3 (214,272 bytes) Dec 24, 2016, 00:59 Uploaded by M.A.S.H.
mp3 file icon stlforce_Youtube-Video.mp3 (214,412 bytes) Dec 24, 2016, 01:01 Uploaded by M.A.S.H.
mp3 file icon stlforce_XTAL_15MHz-14.mp3 (214,272 bytes) Dec 24, 2016, 01:01 Uploaded by M.A.S.H.
Relationships
There are no relationsihp linked to this issue.
Notes
6
User avatar
No.13517
Tafoid
(Administrator)
Dec 29, 2016, 14:15
I can confirm the speed/tempo of the music in MAME does seem slower than recording.
The fix suggested may or may not be valid.
User avatar
No.13520
Haze
(Senior Tester)
Dec 29, 2016, 16:53
A divider of 14 is a bit unusual, I believe system11 might be picking up something running on this hardware at some point tho, and would probably be able to verify then..
User avatar
No.13536
system11
(Senior Tester)
Jan 12, 2017, 23:58
I have this actual PCB, just fished it out and will measure the OKI.

What does it sound like if you go with 32/32? There's a 32MHz on there too of course.
User avatar
No.13537
AJR
(Developer)
Jan 13, 2017, 02:40
Setting the clock to XTAL_15MHz/14 doesn't make the pitch match the reference either.
User avatar
No.13544
system11
(Senior Tester)
Jan 21, 2017, 19:10
edited on: Jan 21, 2017, 19:54
Confirmed, as expected it's 32/32, measures 1Mhz at the chip.

https://github.com/mamedev/mame/pull/2006

User avatar
No.13545
cuavas
(Administrator)
Jan 22, 2017, 04:27
You can't mark as resolved if nothing is in mainline